<?php
  //header("Content-Type: text/html; charset=iso-8859-1");
  header('Content-type: application/vnd.ms-excel');
  header("Content-Disposition: attachment; filename=busqueda_tesis.xls");
  set_time_limit(150);
  ini_set('memory_limit', '96M');
  $o_ObjectBean = new TesisBean();
  if($txtCodigoBAN   !=""){ $o_ObjectBean->setCodigoBAN($txtCodigoBAN); }
  if($cboTipoTesis   !=""){ $o_ObjectBean->setTipoTesisId($cboTipoTesis); }
  if($txtTitulo   !=""){ $o_ObjectBean->setDescripcion($txtTitulo); }
  if($txtClave    !=""){ $o_ObjectBean->setPalabraClave($txtClave); }
  if($FechaSustentacionIni !=""){ $o_ObjectBean->setFechaSustentacion($FechaSustentacionIni); }
  if($FechaSustentacionFin !=""){ $o_ObjectBean->setFechaSustentacionFin($FechaSustentacionFin); }
  if($FechaAprobacionIni   !=""){ $o_ObjectBean->setFechaAprobacion($FechaAprobacionIni); }
  if($FechaAprobacionFin   !=""){ $o_ObjectBean->setFechaAprobacionFin($FechaAprobacionFin); }
  if($FechaPublicacionIni   !=""){ $o_ObjectBean->setFechaPublicacion($FechaPublicacionIni); }
  if($FechaPublicacionFin   !=""){ $o_ObjectBean->setFechaPublicacionFin($FechaPublicacionFin); }

  $o_ObjectBean->page       = $page;
  $o_ObjectBean->tamPag     = $tamanioPag;
  $o_ObjectBean->sortCampos = $sortCampos;
  $o_ObjectBean->sortType   = $sortType;
  
  $o_class = new TesisBL();
  $a_ObjectBean = $o_class->busquedaTesis($o_ObjectBean);
  
  //Facultades
$o_DocenteSystemClass = new DocenteSystemClass(new FacultadBean());
$a_Facultad = $o_DocenteSystemClass->getFacultad();
    
  ViewResponse::getInstance()->setMethodAjax();
?>
      <table>
        <tr>
          <td>
            <table>
              <tr>
                <th>Cod.BAN</th>
                <th>Titulo</th>
                <th>F.Sustent</th>
                <th>F.Aprobac.</th>
                <th>Fecha Publ.</th>
                <th>Cod.Alumno</th>
                <th>Facultad</th>
                <th>Especialidad</th>
                <th>Alumno</th>
              </tr>
              
              <?if(count($a_ObjectBean)>0){ 

                foreach ($a_ObjectBean as $iKey => $o_objBean){ 
                  $o_TesisBL      = new TesisBL();
                  $o_TesisBean    = $o_TesisBL->busquedaTesisDetalles($o_objBean); 
                  $a_TesisAlumno  = $o_TesisBean->getArrayTesisAlumno();
                  
                  
                  foreach ($a_TesisAlumno as $iKey2 => $o_TesisAlumno){ 
                    $i++;?>
                    <tr>
                       <td><?=$o_objBean->getCodigoBAN() ?></td>
                       <td><?=$o_objBean->getDescripcion() ?></td>
                       <td><?=$o_objBean->getFechaSustentacion()?></td>
                       <td><?=$o_objBean->getFechaAprobacion()?></td>
                       <td><?=$o_objBean->getFechaPublicacion()?></td>
                       <td><?=$o_TesisAlumno->getObjectAlumno()->getCodigoAlumno()?></td>
                       <td>
                       <?
                       foreach ($a_Facultad as $iKey => $o_FacultadBean){
                        if($o_FacultadBean->getFacultadId() == $o_objBean->getFacultadId()){
                          echo $o_FacultadBean->getDescripcion();
                        }
                       }
                        ?>
                       </td>
                       <td><?=$o_objBean->getEspecialidadId()?></td>
                       <td><?=$o_TesisAlumno->getObjectAlumno()->getNombre()?></td>
                    </tr><?
                  } 
                }
              }else{ ?>
              <tr>
                <td colspan="7" align="center">No se produjo resultado</td>
              </tr>
              <? } ?>
            </table>
          </td>
        </tr>
      </table>
  <?php
  ini_set('memory_limit', '32M');
  ?>    
  